IdenIden Docs
API ReferenceTasks

List tasks

Returns a paginated list of provisioning and governance tasks. Internal operations (sync, health checks, etc.) are excluded.

GET
/api/tasks/

Authorization

ApiKeyAuth
Authorization<token>

API key authentication. Format: Api-Key <your_api_key>

In: header

Query Parameters

limit?integer

Number of results to return per page.

offset?integer

The initial index from which to return the results.

Response Body

application/json

curl -X GET "https://developer.idenhq.com/org/{tenant_slug}/api/tasks/"
{
  "count": 123,
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100",
  "results": [
    {
      "external_uuid": "ac0116b9-f581-403e-b8c2-fa4601b86b8a",
      "app": {
        "external_uuid": "ac0116b9-f581-403e-b8c2-fa4601b86b8a",
        "name": "string",
        "connection": {
          "external_uuid": "ac0116b9-f581-403e-b8c2-fa4601b86b8a",
          "display_name": "string",
          "unique_identifier": "string"
        }
      },
      "app_user": {
        "external_uuid": "ac0116b9-f581-403e-b8c2-fa4601b86b8a",
        "email": "user@example.com"
      },
      "creator": {
        "external_uuid": "ac0116b9-f581-403e-b8c2-fa4601b86b8a",
        "username": "string",
        "email": "user@example.com",
        "first_name": "string",
        "last_name": "string"
      },
      "op_type": "PRE_SYNC",
      "task_type": "USER_ACTION"
    }
  ]
}